Search documentation of stripe_elixir

# StripeElixir.Services.FinancialConnections.SessionService (stripe_elixir v0.1.0)

Copy Markdown View Source

BankConnectionsResourceLinkAccountSession

A Financial Connections Session is the secure way to programmatically launch the client-side Stripe.js modal that lets your users link their accounts.

## Summary

### Functions

create(client, params \\ %{}, opts \\ [])

Create a Session

retrieve(client, session, params \\ %{}, opts \\ [])

Retrieve a Session

## Functions

# create(client, params \\ %{}, opts \\ [])

    @spec create(StripeElixir.Client.t(), map(), keyword()) ::
      {:ok, term()} | {:error, StripeElixir.Error.t()}

Create a Session

To launch the Financial Connections authorization flow, create a `Session`. The session’s `client_secret` can be used to launch the flow using Stripe.js.

# retrieve(client, session, params \\ %{}, opts \\ [])

    @spec retrieve(StripeElixir.Client.t(), String.t(), map(), keyword()) ::
      {:ok, term()} | {:error, StripeElixir.Error.t()}

Retrieve a Session

Retrieves the details of a Financial Connections `Session`